MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025422Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-27 12:402014-11-12 09:01
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025422: Visualization, TKOpenGl - support re-assignment of new window to existing View
DescriptionWithin Android platform, new window can be re-assigned to existing view (reusing the same OpenGL context). This scenario should be supported.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025146closedbugmaster Porting to Android 

-  Notes
(0033721)
git (administrator)
2014-10-27 14:16

Branch CR25422 has been created by kgv.

SHA-1: 0911c1741698af980a9414b841632d56d5f222b9


Detailed log of new commits:

Author: kgv
Date: Fri Oct 24 20:03:02 2014 +0400

    OpenGl_Workspace - do not call glDisable/glEnable(GL_TEXTURE_2D) on GL ES

Author: kgv
Date: Sat Oct 25 19:07:24 2014 +0400

    OpenGl_Context - always enable NPOT textures on OpenGL ES 2.0

Author: kgv
Date: Fri Oct 24 16:03:34 2014 +0400

    0025422: Visualization, TKOpenGl - support re-assignment of new window to existing View
    
    Do not throw "Window already defined" exception in Visual3d_View/V3d_View.
    Handle window change within OpenGl_GraphicDriver::View().
    
    OpenGl_GraphicDriver - introduce dedicated methods to initialize/release shared OpenGL context.
    ::InitEglContext() to using existing EGL context.
(0033722)
kgv (developer)
2014-10-27 14:18

Patch is ready for review in branch CR25422.
(0033735)
git (administrator)
2014-10-27 16:08

Branch CR25422 has been updated by kgv.

SHA-1: e7237b8c2ad604474bcae5cac344d9294f405be5


Detailed log of new commits:

Author: kgv
Date: Mon Oct 27 16:07:57 2014 +0300

    OpenGl_GraphicDriver::ReleaseContext() - release EGL context on destruction

(0033738)
san (developer)
2014-10-27 16:31

Branch CR25422 reviewed without remarks, ready for testing.
(0033769)
apv (tester)
2014-10-28 13:54
edited on: 2014-10-28 13:56

Dear BugMaster,

Branch CR25422 was compiled on Linux Windows and MacOS platforms.

There are following compilation errors:

on Linux:
   http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR25422/job/mnt-CR25422-master_build_occt_linux/1/parsed_console/ [^]
   ../../../../src/OpenGl/OpenGl_GraphicDriver.cxx:273: error: no ‘Standard_Boolean OpenGl_GraphicDriver::InitEglContext(void*, void*, void*)’ member function declared in class ‘OpenGl_GraphicDriver’

on Windows:
   http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR25422/job/mnt-CR25422-master_build_occt_windows/1/parsed_console/ [^]
   ..\..\..\src\OpenGl\OpenGl_GraphicDriver.cxx(271): error C2039: 'InitEglContext' : is not a member of 'OpenGl_GraphicDriver'
   ..\..\..\src\OpenGl\OpenGl_GraphicDriver.cxx(275): error C3861: 'ReleaseContext': identifier not found

on MacOS:
   http://jenkins-test-02.nnov.opencascade.com/user/mnt/my-views/view/CR25422/job/mnt-CR25422-master_prepare_build_occt_MacOS/1/parsed_console/ [^]
   /Users/mnt/tools/WOK671/wok_entities/LOC/dev/CR25422-master-occt/src/OpenGl/OpenGl_GraphicDriver.cxx:271:40: error: out-of-line definition of 'InitEglContext' does not match any declaration in 'OpenGl_GraphicDriver'

(0033772)
git (administrator)
2014-10-28 14:09

Branch CR25422 has been updated by kgv.

SHA-1: c7ad4ba49f5946131ae1d7bfa74568b49194373b


Detailed log of new commits:

Author: kgv
Date: Tue Oct 28 14:09:53 2014 +0300

    OpenGl_GraphicDriver::InitEglContext() - escape method implementation with HAVE_EGL macros

(0033773)
kgv (developer)
2014-10-28 14:10

The issue should be corrected now, please check updated branch.
(0033794)
git (administrator)
2014-10-29 08:46

Branch CR25422 has been updated by kgv.

SHA-1: ae7659ce5bc590df469fa59d27658a7553647839


Detailed log of new commits:

Author: kgv
Date: Wed Oct 29 01:17:51 2014 +0400

    OpenGl_ShaderManager - clear shader programs on shared context invalidation

(0033880)
apv (tester)
2014-10-30 13:30

Dear BugMaster,

Branch CR25422 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: ae7659ce5bc590df469fa59d27658a7553647839

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 371953312 / 371798320
Total CPU difference: 48737.369999999915 / 48296.50000000005

Testing on Windows:
Total MEMORY difference: 276212560 / 273087684
Total CPU difference: 39206.53125 / 37050.84375
(0034263)
git (administrator)
2014-11-12 09:01

Branch CR25422 has been deleted by kgv.

SHA-1: ae7659ce5bc590df469fa59d27658a7553647839

- Related Changesets
occt: master 05e2200b
Timestamp: 2014-10-30 10:51:14
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025422: Visualization, TKOpenGl - support re-assignment of new window to existing View

Do not throw "Window already defined" exception in Visual3d_View/V3d_View.
Handle window change within OpenGl_GraphicDriver::View().

OpenGl_GraphicDriver - introduce dedicated methods to initialize/release shared OpenGL context.
::InitEglContext() to using existing EGL context.

OpenGl_Context - always enable NPOT textures on OpenGL ES 2.0

OpenGl_Workspace - do not call glDisable/glEnable(GL_TEXTURE_2D) on GL ES

OpenGl_GraphicDriver::ReleaseContext() - release EGL context on destruction

OpenGl_GraphicDriver::InitEglContext() - escape method implementation with HAVE_EGL macros

OpenGl_ShaderManager - clear shader programs on shared context invalidation
mod - src/Graphic3d/Graphic3d_Camera.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver_7.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Workspace.cxx Diff ] File ]
mod - src/V3d/V3d_View.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-27 12:40 kgv New Issue
2014-10-27 12:40 kgv Assigned To => kgv
2014-10-27 12:41 kgv Relationship added child of 0025146
2014-10-27 14:16 git Note Added: 0033721
2014-10-27 14:18 kgv Note Added: 0033722
2014-10-27 14:18 kgv Assigned To kgv => san
2014-10-27 14:18 kgv Status new => resolved
2014-10-27 16:08 git Note Added: 0033735
2014-10-27 16:31 san Note Added: 0033738
2014-10-27 16:31 san Assigned To san => bugmaster
2014-10-27 16:31 san Status resolved => reviewed
2014-10-27 18:12 apv Assigned To bugmaster => apv
2014-10-28 13:54 apv Note Added: 0033769
2014-10-28 13:54 apv Assigned To apv => kgv
2014-10-28 13:54 apv Status reviewed => assigned
2014-10-28 13:55 apv Note Edited: 0033769 View Revisions
2014-10-28 13:56 apv Note Edited: 0033769 View Revisions
2014-10-28 14:09 git Note Added: 0033772
2014-10-28 14:10 kgv Note Added: 0033773
2014-10-28 14:10 kgv Assigned To kgv => bugmaster
2014-10-28 14:10 kgv Status assigned => resolved
2014-10-28 14:10 kgv Status resolved => reviewed
2014-10-28 14:23 apv Assigned To bugmaster => apv
2014-10-29 08:46 git Note Added: 0033794
2014-10-29 14:11 apv Test case number => Not needed
2014-10-30 13:30 apv Note Added: 0033880
2014-10-30 13:30 apv Assigned To apv => bugmaster
2014-10-30 13:30 apv Status reviewed => tested
2014-10-31 14:03 bugmaster Changeset attached => occt master 05e2200b
2014-10-31 14:03 bugmaster Status tested => verified
2014-10-31 14:03 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed
2014-11-12 09:01 git Note Added: 0034263


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker